Subject: RE: bug#20723: 24.4; narrow-to-line

From: Drew Adams <[email-masked]>
Date: Tue, 2 Jun 2015 12:35:06 -0700 (PDT)

> Thanks.  I was imagining that narrow-to-line would not be bound to
> any key by default.  After all, even narrow-to-region comes with a warning
> that it is for experts only.

`narrow-to-region' is not for experts only.  It is disabled by default
because the thought is that if you don't expect it then you could get
confused, especially if you invoked it accidentally (e.g., by key).
But it nevertheless has a key binding by default.

I don't expect that `mark-line' is very useful.  But I can see
someone wanting to use something like `narrow-to-line' (especially
with very long lines).

(Of course, `C-a C-SPC C-e C-x n' does the same thing, except for
keeping the cursor where it was.)